void setupCamera() {
    cam = new PeasyCam(this, Z_DISTANCE);
    cam.setWheelScale(0.1);
    float fov = PI / 3.0;
    float cameraZ = (height / 2.0) / tan(fov / 2.0);
    perspective(fov, float(width) / float(height), 0.001, cameraZ * 50.0);
    singleDragHandler = cam.getRotateDragHandler();
}
