class Record {
    String title;
    int itemNumber;
    LocalDateTime cout;
    LocalDateTime cin;
    String itemType;
    DeweyClass deweyClass;
    color c;

    Record(String t, int i, LocalDateTime co, LocalDateTime ci, String it, String d){
        this.title = t;
        this.itemNumber = i;
        this.cout = co;
        this.cin = ci;
        this.itemType = it;
        setDeweyClass(d);
        setColor();
    }

    private void setDeweyClass(String dewey) {
        if (dewey.equals("")) {
            this.deweyClass = DeweyClass.DEWEY_NA;
        } else {
            int i = (int)Float.parseFloat(dewey);
            i /= 100;
            if (i == 0) {
                this.deweyClass = DeweyClass.DEWEY_000;
            } else if (i == 1) {
                this.deweyClass = DeweyClass.DEWEY_100;
            } else if (i == 2) {
                this.deweyClass = DeweyClass.DEWEY_200;
            } else if (i == 3) {
                this.deweyClass = DeweyClass.DEWEY_300;
            } else if (i == 4) {
                this.deweyClass = DeweyClass.DEWEY_400;
            } else if (i == 5) {
                this.deweyClass = DeweyClass.DEWEY_500;
            } else if (i == 6) {
                this.deweyClass = DeweyClass.DEWEY_600;
            } else if (i == 7) {
                this.deweyClass = DeweyClass.DEWEY_700;
            } else if (i == 8) {
                this.deweyClass = DeweyClass.DEWEY_800;
            } else if (i == 9) {
                this.deweyClass = DeweyClass.DEWEY_900;
            }
        }
    }

    private void setColor() {
        switch (this.deweyClass) {
            case DEWEY_NA:
                this.c = DEWEY_COLOR[0];
                break;
            case DEWEY_000:
                this.c = DEWEY_COLOR[1];
                break;
            case DEWEY_100:
                this.c = DEWEY_COLOR[2];
                break;
            case DEWEY_200:
                this.c = DEWEY_COLOR[3];
                break;
            case DEWEY_300:
                this.c = DEWEY_COLOR[4];
                break;
            case DEWEY_400:
                this.c = DEWEY_COLOR[5];
                break;
            case DEWEY_500:
                this.c = DEWEY_COLOR[6];
                break;
            case DEWEY_600:
                this.c = DEWEY_COLOR[7];
                break;
            case DEWEY_700:
                this.c = DEWEY_COLOR[8];
                break;
            case DEWEY_800:
                this.c = DEWEY_COLOR[9];
                break;
            case DEWEY_900:
                this.c = DEWEY_COLOR[10];
                break;
        }
    }
}
